Ruby trunk - Bug #6226

Star operator crashes when it using in irb on Fedora
03/30/2012 08:19 AM - newmen (Gleb Averchuk)

Status: Third Party's Issue

Priority: Normal

Assignee:

Target version: 1.9.3

ruby -v: ruby 1.9.3p125 (2012-02-16 revision Backport:
34643) [x86_64-linux]

Description

Segmentation fault raised when | pressed Ctrl+D.
Full log:

[newmen@blackbox ~]$ irb

1.9.3p125:001 > *a =1

=>1

1.9.3p125:002 > a

=>[1]

1.9.3p125 :003 >

/home/newmen/.rvm/scripts/irbrc.rb:32: [BUG] Segmentation fault
ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-linux]

-- Control frame information
€:0005 p:---- s:0014 b:0014 1:000013 d:000013 CFUNC :initialize

€:0004 p:---- s:0012 b:0012 1:000011 d:000011 CFUNC :open

€:0003 p:0140 s:0007 b:0007 1:001600 d:000006 BLOCK /home/newmen/.rvm/scripts/irbrc.rb:32
€:0002 p:---- s:0004 b:0004 1:000003 d:000003 FINISH

¢:0001 p:0000 s:0002 b:0002 1:000668 d:000668 TOP

-- Ruby level backtrace information
/home/newmen/.rvm/scripts/irbrc.rb:32:in block in <top (required)>'
/home/newmen/.rvm/scripts/irbrc.rb:32:inopen’
/home/newmen/.rvm/scripts/irbrc.rb:32:in “initialize'

-- C level backtrace information
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x179f4a) [0x7f582404af4a] vm_dump.c:796
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x5cc97) [0x7f5823f2dc97] error.c:258
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(rb_bug+0xb7) [0x7f5823f2ea27] error.c:277
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x10ebdf) [0x7f5823fdfbdf] signal.c:609
/lib64/libpthread.so.0() [0x385c40f500]

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x166538) [0x7f5824037538] vm_method.c:370
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(rb_check_funcall+0x74) [0x7f5824043de4] vm_eval.c:274
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(rb_check_convert_type+0xc7) [0x7f5823f7e827] object.c:2055
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x8de5c) [0x7f5823f5ee5¢] i0.c:6808
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so0.1.9(+0x170cd7) [0x7f5824041cd7] vm_eval.c:79
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(rb_class_new_instance+0x30) [0x7f5823f7e000] object.c:1636
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so0.1.9(+0x7f6e6) [0x7f5823f506€6] i0.c:5691
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x173781) [0x7f5824044781] vm_insnhelper.c:404
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x169489) [0x7f582403a489] insns.def:1015
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x16f98a) [0x7f582404098a] vm.c:1220
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so0.1.9(+0x170951) [0x7f5824041951] vm.c:670
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(rb_exec_end_proc+0x1cc) [0x7f5823f35ecc] eval_jump.c:126
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(+0x64f6a) [0x7f5823f35f6a] eval.c:92
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(ruby_cleanup+0x132) [0x7f5823f360e2] eval.c:133
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9(ruby_run_node+0x25) [0x7f5823f36425] eval.c:244

irb() [0x4007fb]

/lib64/libc.s0.6(__libc_start_ main+0xed) [0x385c02169d]

irb() [0x400829]

-- Other runtime information
e | oaded script: irb
¢ Loaded features:

0 enumerator.so

1 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

2 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

3 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/defaults.rb

4 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/rbconfig.rb

5 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/deprecate.rb

6 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/exceptions.rb

7 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb
8 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems.rb

9 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/e2mmap.rb

10 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/init.rb

11 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/workspace.rb

12 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/inspector.rb

13 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/context.rb

14 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/extend-command.rb

15 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/output-method.rb

16 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/notifier.rb

17 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/slex.rb

18 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/ruby-token.rb

19 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/ruby-lex.rb

20 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/src_encoding.rb

21 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/magic-file.rb

22 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/readline.so

23 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/input-method.rb

24 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/locale.rb

25 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb.rb

26 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/version.rb

27 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/requirement.rb
28 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/platform.rb

29 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/specification.rb
30 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/path_support.rb
31 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/site_ruby/1.9.1/rubygems/dependency.rb
32 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/irb/completion.rb

33 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/0struct.rb

34 /home/newmen/.rvm/gems/ruby-1.9.3-p125/gems/wirble-0.1.3/lib/wirble.rb

35 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/prettyprint.rb

36 /home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/pp.rb

37 /home/newmen/.rvm/scripts/irbrc.rb

¢ Process memory map:

00400000-00401000 r-xp 00000000 08:03 928584
00600000-00601000 rw-p 00000000 08:03 928584
020da000-028ec000 rw-p 00000000 00:00 0
307bc00000-307bc15000 r-xp 00000000 08:02 131100
307bc15000-307be14000 ---p 00015000 08:02 131100
307be14000-307be15000 rw-p 00014000 08:02 131100
369¢200000-369¢25d000 r-xp 00000000 08:02 156311
369¢25d000-369¢45d000 ---p 0005d000 08:02 156311
369c45d000-369¢45e000 r--p 0005d000 08:02 156311
369¢c45e000-369¢45f000 rw-p 0005000 08:02 156311
369¢45f000-369c463000 rw-p 00000000 00:00 0
369¢600000-369c608000 r-xp 00000000 08:02 134140
369¢608000-369¢807000 ---p 00008000 08:02 134140
369c807000-369¢808000 r--p 00007000 08:02 134140
369c808000-369¢809000 rw-p 00008000 08:02 134140
369¢809000-369¢837000 rw-p 00000000 00:00 0
385bc00000-385bc22000 r-xp 00000000 08:02 136047
385be21000-385be22000 r--p 00021000 08:02 136047
385be22000-385be23000 rw-p 00022000 08:02 136047
385be23000-385be24000 rw-p 00000000 00:00 0
385c000000-385¢1ad000 r-xp 00000000 08:02 136049
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/bin/ruby
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/bin/ruby
[heap]
/lib64/libgcc_s-4.6.3-20120306.s0.1
/lib64/libgcc_s-4.6.3-20120306.s0.1
/lib64/libgcc_s-4.6.3-20120306.s0.1
/lib64/libfreebl3.so
/lib64/libfreebl3.so
/lib64/libfreebl3.so
/lib64/libfreebl3.so

/lib64/libcrypt-2.14.90.s0

/lib64/libcrypt-2.14.90.s0

/lib64/libcrypt-2.14.90.s0
/lib64/libcrypt-2.14.90.s0

/lib64/1d-2.14.90.s0
/lib64/1d-2.14.90.s0
/lib64/1d-2.14.90.s0

/lib64/libc-2.14.90.s0
385c1ad000-385¢3ad000 ---p 001ad000 08:02 136049
385¢3ad000-385¢3b1000 r--p 001ad000 08:02 136049
385¢3b1000-385¢3b3000 rw-p 001b1000 08:02 136049
385¢3b3000-385¢3b8000 rw-p 00000000 00:00 0
385c400000-385¢417000 r-xp 00000000 08:02 136289
385c417000-385¢616000 ---p 00017000 08:02 136289
385c616000-385c617000 r--p 00016000 08:02 136289
385c617000-385¢618000 rw-p 00017000 08:02 136289

/lib64/libc-2.14.90.s0
/lib64/libc-2.14.90.s0
/lib64/libc-2.14.90.s0

/lib64/libpthread-2.14.90.so

/lib64/libpthread-2.14.90.so

/lib64/libpthread-2.14.90.s0
/lib64/libpthread-2.14.90.s0

385c618000-385c61c000 rw-p 00000000 00:00 O
385¢800000-385¢802000 r-xp 00000000 08:02 164094
385¢802000-385¢a02000 ---p 00002000 08:02 164094
385¢a02000-385¢a03000 r--p 00002000 08:02 164094
385¢a03000-385¢a04000 rw-p 00003000 08:02 164094
385cc00000-385cc07000 r-xp 00000000 08:02 164204
385cc07000-385¢ce06000 ---p 00007000 08:02 164204
385ce06000-385ce07000 r--p 00006000 08:02 164204
385ce07000-385ce08000 rw-p 00007000 08:02 164204
385d000000-385d083000 r-xp 00000000 08:02 136081
385d083000-385d282000 ---p 00083000 08:02 136081
385d282000-385d283000 r--p 00082000 08:02 136081
385d283000-385d284000 rw-p 00083000 08:02 136081
385fc00000-385fc3c000 r-xp 00000000 08:02 136016
385fc3c000-385fe3b000 ---p 0003c000 08:02 136016
385fe3b000-385fe43000 rw-p 0003b000 08:02 136016
385fe43000-385fe44000 rw-p 00000000 00:00 0
386dc00000-386dc23000 r-xp 00000000 08:02 169613
386dc23000-386de22000 ---p 00023000 08:02 169613
386de22000-386de26000 r--p 00022000 08:02 169613
386de26000-386de27000 rw-p 00026000 08:02 169613
3871c00000-3871¢23000 r-xp 00000000 08:02 169617
3871¢23000-3871e22000 ---p 00023000 08:02 169617
3871e22000-3871e23000 r--p 00022000 08:02 169617
3871e23000-3871e24000 rw-p 00023000 08:02 169617
7f581d37f000-7f581d385000 r-xp 00000000 08:03 928953

/lib64/libdl-2.14.90.s0
/lib64/libdl-2.14.90.s0
/lib64/libdl-2.14.90.s0
/lib64/libdl-2.14.90.s0
/lib64/librt-2.14.90.s0
/lib64/librt-2.14.90.s0
/lib64/librt-2.14.90.s0
/lib64/librt-2.14.90.s0
/lib64/libm-2.14.90.s0
/Nlib64/libom-2.14.90.s0
/Nlib64/libom-2.14.90.s0
/lib64/libm-2.14.90.s0
/lib64/libreadline.so.6.2
/lib64/libreadline.s0.6.2
/lib64/libreadline.s0.6.2

/lib64/libtinfo.s0.5.9
/lib64/libtinfo.s0.5.9
/lib64/libtinfo.s0.5.9
/lib64/libtinfo.s0.5.9
/lib64/libncurses.s0.5.9
/lib64/libncurses.s0.5.9
/lib64/libncurses.s0.5.9

/lib64/libncurses.s0.5.9

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/readline.so

7f581d385000-7f581d584000 ---p 00006000 08:03 928953

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/readline.so

7t581d584000-7t581d585000 rw-p 00005000 08:03 928953

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/readline.so

7t581d585000-7f581d587000 r-xp 00000000 08:03 1192114

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7f581d587000-7f581d787000 ---p 00002000 08:03 1192114

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7f581d787000-7f581d788000 rw-p 00002000 08:03 1192114

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/trans/transdb.so

7t581d788000-7f581d78a000 r-xp 00000000 08:03 1192162

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7t581d78a000-7f581d989000 ---p 00002000 08:03 1192162

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7f581d989000-7f581d98a000 rw-p 00001000 08:03 1192162

/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/ruby/1.9.1/x86_64-linux/enc/encdb.so

7f581d98a000-7f581d98b000 ---p 00000000 00:00 0
7f581d98b000-7f581da8f000 rw-p 00000000 00:00 O
7f581da8f000-7f5823eb0000 r--p 00000000 08:02 169375
7f5823eb0000-7f5823eb6000 rw-p 00000000 00:00 0
7f5823ec8000-7f5823eca000 rw-p 00000000 00:00 0
7f5823eca000-7f5823ed1000 r--s 00000000 08:02 158897
7f5823ed1000-7f58240e7000 r-xp 00000000 08:03 928586
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so0.1.9.1
7f58240e7000-7f58242e7000 ---p 00216000 08:03 928586
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so0.1.9.1
7f58242e7000-7f58242ef000 rw-p 00216000 08:03 928586
/home/newmen/.rvm/rubies/ruby-1.9.3-p125/lib/libruby.so.1.9.1
7f58242ef000-7f582430c000 rw-p 00000000 00:00 0

/usr/lib/locale/locale-archive

/usr/lib64/gconv/gconv-modules.cache

7fffe887f000-7fffe88a0000 rw-p 00000000 00:00 O [stack]
7fffe89ff000-7fffe8a00000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 O [vsyscall]
[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

ABapuiiHbii ocTaHoB (core dumped)

History

#1 - 03/30/2012 08:29 AM - aprescott (Adam Prescott)

| cannot recreate this:

$irb

irb(main):001:0> *a = 1

=>1

irb(main):002:0> a

=>[1]

irb(main):003:0> # Ctrl-D pressed here

Just returns to prompt.
ruby 1.9.3p125 (2012-02-16 revision 34643) [x86_64-linux]
Installed with rvm on Arch Linux x86_64.

#2 - 04/01/2012 09:58 AM - newmen (Gleb Averchuk)

Today I've checked this bug again and he's gone.

I think my Fedora has installed the necessary update after that the bug has been removed automatically.

#3 - 04/01/2012 11:14 AM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Rejected

#4 - 04/01/2012 11:14 AM - nobu (Nobuyoshi Nakada)
- Status changed from Rejected to Third Party's Issue
